# Grid2

## [1.1.14](https://github.com/michaelnpsp/Grid2/tree/1.1.14) (2021-01-26)
[Full Changelog](https://github.com/michaelnpsp/Grid2/compare/1.0.0...1.1.14) 

- Minimal adjust in Grid2 description text.  
- Updated german locale.  
- Completed esES,esMX locales, updated other locales.  
    Moved monk-stagger status to combat category.  
- Locales updated.  
- Changed readme  
- Debuffs status: Now a enabled boss debuffs filter does not hide other filters.  
    Debuffs status: Removed some unused code.  
- Added default text option to status name configuration.  
- Added support for cyrillic letters transliteration in Name status (ticket #930)  
- Added monk stagger status (added to misc category)  
- Fixing crash for classes that cannot dispel.  
- Implemented "Non-dispellable by me" filter in Debuffs statuses.  
    Now in retail dispellable debuffs are detected using debuffType aura value instead of RAID|HARMFUL filter.  
- Now the size of single icon indicators can be specified as percent of the frame height. Useful  
    when several themes with different frame sizes are used.  
- Classic: BugFix, auras duration not displayed for group buffs.  
    Classic: BufFix, graphics glitch in debuffs group configuration.  
- Changed glowborder indicator name.  
    Disabled Shine effect in classic (it does not work).  
    Added glowborder indicator icon.  
- Implemented Glow Border indicators using LibCustomGlow library.  
- Changed necrotic bolt raiddebuff spellid  
- Added sanity checks to the value returned by UnitHealthMax(), this must fix ticket #902  
- Minimal appearance adjustement in Debuffs group configuration.  
- Implemented a workaround in Grid2Layout to fix ticket #923.  
- Added optional custom text to "Debuffs" statuses (ticket #919)  
    Fixing a bug in textures color management in multibar indicator.  
    Now Layout() method hides all textures in multibar indicator.  
- Added some command line options to change profiles, themes, lock and visibility. Type "/grid2 help" to see the new commands.  
- Fixed, Pets healths were not updated.  
    Now grid2 frame position is restored if the UI scale is changed.  
- Added some useful comments about positioning and scaling code.  
- Simplified the positioning and scaling code. Now if the screen scaling is changed the addon adjust the window coordinates to maintain the same absolute position on the screen (relative to the defined anchor point).  
- Some performance optimizations (filtering some units like nameplates).  
    Implementing a workaround to fix ticket #907, dead people sometimes don't show as dead.  
- Fixing Ticket #910 (Profile spec switch did not work with blizzard automatic spec change in LFG).  
- Better display of buffs/debuffs info tooltips in Configuration.  
- Added some comments for internal use.  
- Added missing title header to multi-bar indicator configuration.  
    Smalls appearance adjustements.  
- Added "Typeless" debuff type status.  
    Added Typed/Untyped debuffs filter to "Debuffs" status.  
    Refactored some code in "Debuffs" statuses, now a filter code is generated and compiled in run-time to speed up aura filtering process.  
    Now RaidDebuffs reloads the raid debuffs when the subzone changes if the previous zone was a "wrong" zone.  
    Some refactoring in configuration code. Now indicators and statuses can be deleted using a cross icon displayed on topright.  
    Now Multiline editboxes in buffs and debuffs statuses fill the whole available area.  
